<?php

if (!defined('FORUM')) die();

if ($section == 'pan_ya_donation')
{
	
	// Setup the form
	$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;
	
	// Setup breadcrumbs
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
		array($lang_admin_common['Management'], forum_link($forum_url['admin_reports'])),
		'Donations'
	);

	define('FORUM_PAGE_SECTION', 'management');
	define('FORUM_PAGE', 'admin-pan-ya-donations');
	require FORUM_ROOT.'header.php';

	// START SUBST - <!-- forum_main -->
	ob_start();

?>
	<div class="main-subhead">
		<h2 class="hn"><span>Donations Settings</span></h2>
	</div>
	
	<div class="main-content main-frm">
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_ya_donation_settings']) ?>">
			
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_ya_donation_settings'])) ?>" />
				<input type="hidden" name="form_sent" value="1" />
			</div>
			
			
			
			
			<div class="sf-set set">
				<div class="sf-box select">
					<label for="fld"><span>Запрещенная группа</span><small>Группа пользователей, которой запрещено скачивание файлов</small></label><br />
					<span class="fld-input">
						<select id="fld" name="form[pan_ya_donation_user_banned]">
							
<?php

	$query = array(
		'SELECT'	=> 'g.g_id, g.g_title',
		'FROM'		=> 'groups AS g',
		'WHERE'		=> 'g.g_id!='.FORUM_GUEST,
		'ORDER BY'	=> 'g.g_title'
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	while ($cur_group_exp = $forum_db->fetch_assoc($result))
	{
		if ($forum_config['o_pan_ya_donation_user_banned'] == $cur_group_exp['g_id'])
			echo "\t\t\t\t\t\t\t".'<option value="'.$cur_group_exp['g_id'].'" selected="selected">'.forum_htmlencode($cur_group_exp['g_title']).' - '.$cur_group_exp['g_id'].'</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t".'<option value="'.$cur_group_exp['g_id'].'">'.forum_htmlencode($cur_group_exp['g_title']).'</option>'."\n";
	}
?>
					</select></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box select">
					<label for="fld"><span>Разрещенная группа</span><small>Группа пользователей, которой разрешено скачивание файлов</small></label><br />
					<span class="fld-input">
						<select id="fld" name="form[pan_ya_donation_user_approved]">
							
<?php

	$query = array(
		'SELECT'	=> 'g.g_id, g.g_title',
		'FROM'		=> 'groups AS g',
		'WHERE'		=> 'g.g_id!='.FORUM_GUEST,
		'ORDER BY'	=> 'g.g_title'
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	while ($cur_group_exp = $forum_db->fetch_assoc($result))
	{
		if ($forum_config['o_pan_ya_donation_user_approved'] == $cur_group_exp['g_id'])
			echo "\t\t\t\t\t\t\t".'<option value="'.$cur_group_exp['g_id'].'" selected="selected">'.forum_htmlencode($cur_group_exp['g_title']).' - '.$cur_group_exp['g_id'].'</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t".'<option value="'.$cur_group_exp['g_id'].'">'.forum_htmlencode($cur_group_exp['g_title']).'</option>'."\n";
	}
?>
					</select></span>
				</div>
			</div>
			
			
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Номер кошелька</span><small>Вставьте ID вашего Яндекс кошелька</small></label><br />
					<span class="fld-input"><input type="text" id="fld " name="form[pan_ya_donation_id]" size="55" maxlength="120" value="<?php echo forum_htmlencode($forum_config['o_pan_ya_donation_id']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Секретный код</span><small>Этот хэш служит для подтверждения об успешном платеже</small></label><br />
					<span class="fld-input"><input type="text" id="fld " name="form[pan_ya_donation_hash]" size="55" maxlength="120" value="<?php echo forum_htmlencode($forum_config['o_pan_ya_donation_hash']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Сумма платежа</span><small>Сумма платежа</small></label><br />
					<span class="fld-input"><input type="number" id="fld " name="form[pan_ya_donation_sum]" size="5" maxlength="2" value="<?php echo forum_htmlencode($forum_config['o_pan_ya_donation_sum']) ?>" /></span>
				</div>
			</div>
			
			<fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
				<legend class="group-legend"><strong>Settings</strong></legend>

				<div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="txt-box textarea">
						<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span>HTML Code</span><small>Set HTML code of donation system</small></label>
						<div class="txt-input"><span class="fld-input"><textarea id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_ya_donation_desc]" rows="10" cols="55"><?php echo forum_htmlencode($forum_config['o_pan_ya_donation_desc']) ?></textarea></span></div>
					</div>
				</div>
				
			</fieldset>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save" value="Save" /></span>
			</div>
		</form>
		
	</div>
	
<?php
}
